Bug 53622 - schoolrooms/computers: univention.admin.uexceptions.ldapError: Bad search filter
schoolrooms/computers: univention.admin.uexceptions.ldapError: Bad search filter
Status: RESOLVED WORKSFORME
Product: UCS@school
Classification: Unclassified
Component: UMC - Computer room administration
UCS@school 5.0
Other Linux
: P5 normal (vote)
: ---
Assigned To: UCS@school maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-29 15:21 CEST by Christian Castens
Modified: 2021-08-05 14:12 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Castens univentionstaff 2021-07-29 15:21:16 CEST
UCS: 5.0-0 errata53
Installed: ucsschool=5.0 b2 4.4/ucsschool-veyon-proxy=1.1

Interner Server-Fehler in "schoolrooms/computers".
Request: schoolrooms/computers

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/univention/admin/uldap.py", line 669, in search
    return self.lo.search(filter, base, scope, attr, unique, required, timeout, sizelimit, serverctrls=serverctrls, response=response)
  File "/usr/lib/python3/dist-packages/univention/uldap.py", line 208, in _decorated
    return func(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/univention/uldap.py", line 516, in search
    res = self.lo.search_ext_s(base, ldap_scope, filter, attr, serverctrls=serverctrls, clientctrls=None, timeout=timeout, sizelimit=sizelimit)
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 1259, in search_ext_s
    return self._apply_method_s(SimpleLDAPObject.search_ext_s,*args,**kwargs)
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 1197, in _apply_method_s
    return func(self,*args,**kwargs)
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 845, in search_ext_s
    msgid = self.search_ext(base,scope,filterstr,attrlist,attrsonly,serverctrls,clientctrls,timeout,sizelimit)
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 841, in search_ext
    timeout,sizelimit,
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 329, in _ldap_call
    reraise(exc_type, exc_value, exc_traceback)
  File "/usr/lib/python3/dist-packages/ldap/compat.py", line 44, in reraise
    raise exc_value
  File "/usr/lib/python3/dist-packages/ldap/ldapobject.py", line 313, in _ldap_call
    result = func(*args,**kwargs)
ldap.FILTER_ERROR: {'desc': 'Bad search filter', 'errno': 2, 'info': 'Datei oder Verzeichnis nicht gefunden'}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/univention/management/console/base.py", line 344, in __error_handling
    six.reraise(etype, exc, etraceback)
  File "/usr/lib/python3/dist-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/univention/management/console/base.py", line 247, in execute
    function.__func__(self, request, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/decorators.py", line 181, in _response
    return function(self, request)
  File "/usr/lib/python3/dist-packages/ucsschool/lib/school_umc_ldap_connection.py", line 154, in wrapper_func
    return func(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/schoolrooms/__init__.py", line 72, in computers
    for x in SchoolComputer.get_all(ldap_user_read, request.options["school"], pattern)
  File "/usr/lib/python3/dist-packages/ucsschool/lib/models/base.py", line 1004, in get_all
    for udm_obj in cls.lookup(lo, school, complete_filter, superordinate=superordinate):
  File "/usr/lib/python3/dist-packages/ucsschool/lib/models/computer.py", line 233, in lookup
    return super(SchoolComputer, cls).lookup(lo, school, school_computer_filter, superordinate)
  File "/usr/lib/python3/dist-packages/ucsschool/lib/models/base.py", line 1022, in lookup
    superordinate=superordinate,
  File "/usr/lib/python3/dist-packages/univention/admin/modules.py", line 953, in lookup
    tmpres = module.lookup(co, lo, filter, base=base, superordinate=superordinate, scope=scope, unique=unique, required=required, timeout=timeout, sizelimit=sizelimit)
  File "/usr/lib/python3/dist-packages/univention/admin/handlers/computers/computer.py", line 133, in lookup
    res.extend(computer.lookup(co, lo, filter_s, base, superordinate, scope, unique, required, timeout, sizelimit))
  File "/usr/lib/python3/dist-packages/univention/admin/handlers/__init__.py", line 1752, in lookup
    for dn, attrs in lo.search(filter_str, base, scope, attr, unique, required, timeout, sizelimit, serverctrls=serverctrls, response=response):
  File "/usr/lib/python3/dist-packages/univention/admin/uldap.py", line 679, in search
    raise univention.admin.uexceptions.ldapError('%s: %s' % (_err2str(msg), filter))
univention.admin.uexceptions.ldapError: Bad search filter: Datei oder Verzeichnis nicht gefunden: (&(objectClass=univentionDomainController)(objectClass=univentionHost)(univentionServerRole=backup)(&((objectClass=ucsschoolComputer))((&(|(name=*)(description=*))))))
Comment 1 Florian Best univentionstaff 2021-08-05 14:12:18 CEST
interim problem - already fixed